org.h2gis.functions.spatial.predicates

## Class ST_Equals

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.predicates.ST_Equals

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Equals
    extends org.h2gis.api.DeterministicScalarFunction

Return true if Geometry A is equal to Geometry B.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Equals()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Boolean` `geomEquals(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b)` Return true if Geometry A is equal to Geometry B
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Equals

    public ST_Equals()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### geomEquals

    public static Boolean geomEquals(org.locationtech.jts.geom.Geometry a,
                                     org.locationtech.jts.geom.Geometry b)

Return true if Geometry A is equal to Geometry B

Parameters:
  `a` - Geometry Geometry.
  `b` - Geometry instance
Returns:
  true if Geometry A is equal to Geometry B